Unlocking iPhone 4, 4.2.1 with Baseband 3.10.01

Discussion in 'iPhone, iPod & iPad' started by abdudi, Apr 8, 2011.

Apr 8, 2011
  1. abdudi
    OP

    Newcomer abdudi Newbie

    Joined:
    Mar 13, 2011
    Messages:
    3
    Country:
    United States
    I've recently jailbroken my iPhone 4 with 4.2.1 and now it has baseband 3.10.01 using redsn0w. I need to unlock it so I can use any simcard. As far as I know, there is no unlock even with ultrasn0w for this baseband. I was wondering though, if it is possible to downgrade the baseband to a version where unlock is supported.

    Thanks for reading this.
     
  2. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    Unfortunately, there's no way to downgrade the baseband to 1.59.00 (which can be unlocked).

    The only way to unlock iPhone 4s with newer basebands is illegal in many countries (it requires you to dial an emergency number and hang up).
     

Share This Page